MacDrawProParserInternal::Layer Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MacDrawProParserInternal::Layer Struct Reference

## Public Member Functions
| Layer ()
| constructor More...

## Public Attributes
int | m_numShapes
| the number of shape More...
int | m_firstShape
| the first shape More...
bool | m_isHidden
| true if the layer is hidden More...
MWAWBox2f | m_box
| the layer bounding box (if computed) More...
std::map< int, int > | m_libraryToObjectMap
| map library to pos More...
long | m_N [3]
| some unknown number find in the beginning of the header More...
librevenge::RVNGString | m_name
| the layer name More...

## Constructor & Destructor Documentation

MacDrawProParserInternal::Layer::Layer | ( |  | ) |
| inline

constructor

## Member Data Documentation

MWAWBox2f MacDrawProParserInternal::Layer::m_box

the layer bounding box (if computed)

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox().

int MacDrawProParserInternal::Layer::m_firstShape

the first shape

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), MacDrawProParser::readLayersInfo(), and MacDrawProParser::send().

bool MacDrawProParserInternal::Layer::m_isHidden

true if the layer is hidden

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), MacDrawProParser::createDocument(), MacDrawProParser::readLayersInfo(), MacDrawProParser::sendMasterPage(), and MacDrawProParser::sendPage().

std::map<int, int> MacDrawProParserInternal::Layer::m_libraryToObjectMap

map library to pos

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), MacDrawProParser::readLayerLibraryCorrespondance(), and MacDrawProParser::send().

long MacDrawProParserInternal::Layer::m_N[3]

some unknown number find in the beginning of the header

Referenced by Layer(), and MacDrawProParser::readLayersInfo().

librevenge::RVNGString MacDrawProParserInternal::Layer::m_name

the layer name

Referenced by MacDrawProParser::createDocument(), and MacDrawProParser::send().

int MacDrawProParserInternal::Layer::m_numShapes

the number of shape

Referenced by MacDrawProParser::computeLayersAndLibrariesBoundingBox(), MacDrawProParser::readLayersInfo(), and MacDrawProParser::send().

The documentation for this struct was generated from the following file:

- MacDrawProParser.cxx